> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an Offer (SoW) by ID



## OpenAPI

````yaml get /offers/{id}
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /offers/{id}:
    get:
      tags:
        - Offers
      summary: Retrieve an Offer (SoW) by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  offer:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '23'
                      bid_id:
                        type: integer
                        example: '423'
                      status:
                        type: string
                        example: pending
                      rate:
                        type: string
                        example: '1500.00'
                      rate_ccy:
                        type: string
                        example: GBP
                      budget:
                        type: string
                        example: '55500.00'
                      budget_ccy:
                        type: string
                        example: GBP
                      declined_reason:
                        type: string
                        example: project cancelled
                      version:
                        type: integer
                        example: '0'
                      skip_acceptance:
                        type: string
                        example: 'false'
                      start_date:
                        type: string
                        format: date
                      due_on:
                        type: string
                        format: date-time
                      expires_at:
                        type: string
                        format: date-time
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      accepted_at:
                        type: string
                        format: date-time
                      approved_at:
                        type: string
                        format: date-time
                      approved_by:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: '7158'
                          first_name:
                            type: string
                            example: Jack
                          last_name:
                            type: string
                            example: Jones
                          email:
                            type: string
                            example: jack_jones@example.com
                          org_name:
                            type: string
                            example: Organisation Ltd
                          org_id:
                            type: integer
                            example: '567'
                          business_unit:
                            type: string
                            example: Public Private Partnerships
                          division:
                            type: string
                            example: Infastructure
                          department:
                            type: string
                            example: Bridges
                          vetting_status:
                            type: string
                            example: PASSED
                          created_at:
                            type: string
                            format: date-time
                          updated_at:
                            type: string
                            format: date-time
                          custom_fields:
                            type: object
                            properties:
                              key:
                                type: string
                                example: value
                          has_oversight:
                            type: string
                            format: 'true'
                      created_by:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: '7158'
                          first_name:
                            type: string
                            example: Jack
                          last_name:
                            type: string
                            example: Jones
                          email:
                            type: string
                            example: jack_jones@example.com
                          org_name:
                            type: string
                            example: Organisation Ltd
                          org_id:
                            type: integer
                            example: '567'
                          business_unit:
                            type: string
                            example: Public Private Partnerships
                          division:
                            type: string
                            example: Infastructure
                          department:
                            type: string
                            example: Bridges
                          vetting_status:
                            type: string
                            example: PASSED
                          created_at:
                            type: string
                            format: date-time
                          updated_at:
                            type: string
                            format: date-time
                          custom_fields:
                            type: object
                            properties:
                              key:
                                type: string
                                example: value
                          has_oversight:
                            type: string
                            format: 'true'
                      supplier_contract_template:
                        type: string
                        format: Work Order Template Supplier
                      client_contract_template:
                        type: string
                        format: Work Order Template Client
                      custom_fields:
                        type: object
                        properties:
                          key:
                            type: string
                            example: value
                      job:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: '23'
                          title:
                            type: string
                            example: project title
                          description:
                            type: string
                            example: project description
                      milestone_proposals:
                        type: array
                        items:
                          properties:
                            id:
                              type: integer
                              example: '23'
                            client_suggested:
                              type: boolean
                              example: 'true'
                            title:
                              type: string
                              example: milestone title
                            details:
                              type: string
                              example: milestone details
                            rate:
                              type: string
                              example: '1500.00'
                            rate_ccy:
                              type: string
                              example: GBP
                            start_date:
                              type: string
                              format: date-time
                            due_on:
                              type: string
                              format: date-time
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            custom_fields:
                              type: object
                              properties:
                                key:
                                  type: string
                                  example: value
                      line_item_proposals:
                        type: array
                        items:
                          properties:
                            id:
                              type: integer
                              example: '23'
                            item_type:
                              type: string
                              example: item
                            name:
                              type: string
                              example: Server
                            manufacturer_name:
                              type: string
                              example: IBM
                            manufacturer_part_number:
                              type: string
                              example: X789-A
                            quantity:
                              type: string
                              example: '7.0'
                            price:
                              type: string
                              example: '1500.00'
                            price_ccy:
                              type: string
                              example: GBP
                            uom:
                              type: string
                              example: Each
                            net_total_price:
                              type: string
                              example: '1500.00'
                            net_total_price_ccy:
                              type: string
                              example: GBP
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            custom_fields:
                              type: object
                              properties:
                                key:
                                  type: string
                                  example: value
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````